Skip to main content
POST
/
business_entity_roe_authorizations
Create a business entity ROE authorization
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/business_entity_roe_authorizations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "business_entity_id": "<id>",
  "note": "Vitae error architecto sint velit tempora illo itaque."
}
'
{
  "id": "<id>",
  "object": "roe_authorization",
  "data": {
    "business_entity": {
      "id": "<id>",
      "object": "business_entity",
      "links": {
        "self": "/business_entities/<id>"
      }
    },
    "status": "processing",
    "note": "Vitae error architecto sint velit tempora illo itaque.",
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/business_entity_roe_authorizations/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
business_entity_id
string
required
Maximum string length: 10240
note
string | null
Maximum string length: 1000

Response

201 - application/json

Created

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("roe_authorization").

data
Business Entity Roe Authorization · object